Bug 271341 - IPC::Shareable fails to build on RHEL/CentOS 5
IPC::Shareable fails to build on RHEL/CentOS 5
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: perl-IPC-Shareable (Show other bugs)
7
All All
medium Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-31 10:15 EDT by Matt Dainty
Modified: 2008-05-05 10:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-05 10:00:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Dainty 2007-08-31 10:15:45 EDT
(Not quite sure what components this should ultimately be filed under, Fedora 7
at least has the perl-IPC-Shareable component)

Description of problem:

I'm trying to rebuild the FC6/F7 perl-IPC-Shareable Perl module for CentOS 5
x86_64 (like the EPEL RPMs), and it stalls as part of the "make test" phase:

...
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00base......ok                                                             
t/05sv........ok                                                             
t/10av........ok                                                             
t/15hv........ok                                                             
t/20ref.......ok                                                             
t/25ipc.......ok                                                             
t/30lock......ok                                                             
t/35clean.....ok                                                             
t/36ipcav.....ok                                                             
t/38ipchv.....ok 1/5                                                         

Version-Release number of selected component (if applicable):

perl-IPC-Shareable-0.60-3.fc6.src.rpm

How reproducible:

Always.

Steps to Reproduce:
1. rpmbuild --rebuild perl-IPC-Shareable-0.60-3.fc6.src.rpm
  
Actual results:
Stalls at 1/5 in the 38ipchv tests

Expected results:
Should complete cleanly with no errors

Additional info:
Build host is fully updated CentOS 5 x86_64 installation. Build completes
correctly on a Fedora 7 installation.
Comment 1 Matt Dainty 2007-09-06 10:24:47 EDT
Actually, I lie, it will also hang on a Fedora 7 installation.

Running that bit of the test suite in a loop will get it to lock in the same
place eventually:

while true ; do PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e"
"test_harness(0, 'blib/lib', 'blib/arch')" t/38ipchv.t ; done
t/38ipchv....ok                                                              
All tests successful.
Files=1, Tests=5,  0 wallclock secs ( 0.05 cusr +  0.02 csys =  0.07 CPU)
---8<------8<---
t/38ipchv....ok                                                              
All tests successful.
Files=1, Tests=5,  0 wallclock secs ( 0.04 cusr +  0.02 csys =  0.06 CPU)
t/38ipchv....ok 1/5                                                          

Suggests some sort of subtle race condition somewhere, given this test is also
forking child processes.
Comment 2 Matt Dainty 2007-09-06 10:49:13 EDT
Seems someone reported this on CPAN already:

http://rt.cpan.org/Ticket/Display.html?id=19169
Comment 3 Jan Pazdziora 2008-03-05 10:04:38 EST
I've sent a ping to Ben S. to see if he is planning to do a new release anytime
soon.
Comment 4 Tom "spot" Callaway 2008-03-05 10:24:34 EST
I'm pretty sure I fixed this in rawhide as part of the perl 5.10.0 work...
Comment 5 Marcela Mašláňová 2008-05-05 10:00:07 EDT
I tried build on RHEL-5 successfully from F-7 branch.

Note You need to log in before you can comment on or make changes to this bug.